<?php
include("util.php");
session_start();

// check if user is logged in
if (!isset($_SESSION["username"])) {
    header("location: login.php");
}

$username = $_SESSION["username"];

if (($_SERVER['REQUEST_METHOD'] === 'GET') && isset($_GET['dir'])) {
    $safe_dir = sanitize_input($_GET['dir']);
    $directory = "./notes/$safe_dir";
} else {
    $directory = "./notes/$username";
}

$notes = read_notes($directory);

?>

<html>
   <head>
     <title>Students Archive Login</title>
     <link rel="stylesheet" href="./style.css">
   </head>    

   <body>
     <div class="container">
       <div id="notes-container">
	 <div id="notes-container-title"> <b> <?php echo $username ?> notes! </b> </div>
	 <hr>
	 <div id="notes-container-content">
	   <ul>
           <?php foreach($notes as $note) { ?>
	   <li>
	     <div class="note">
	       <div class="note-title"> <?php echo basename($note) ?> <hr> </div>
	       <div class="note-content"> <?php include("$note"); ?> </div>
	     </div>
	   </li>
           <?php } ?>
	   </ul>
	 </div>
       </div>
     </div>
	
    </body>
</html>
